Skip to main content
Vault

创建 Vault

创建一个密钥库

POST
/api/v1/agentstudio/vaults
cURL
curl --request POST \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/vaults' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "生产环境密钥",
  "description": "存放生产环境 API Key"
}
'
{
  "id": "vault_01JXH5K2",
  "type": "vault",
  "name": "生产环境密钥",
  "description": "存放生产环境 API Key",
  "metadata": {},
  "archived_at": null,
  "created_at": "2026-07-20T10:00:00Z",
  "updated_at": "2026-07-20T10:00:00Z",
  "workspace_id": "ws_xxx",
  "request_id": "req_xxx"
}

Authorizations

string
header
required

DashScope API Key

Body

application/json
string
required

密钥库名称

string

用途描述

object

Response

200-application/json
string

密钥库 ID

string
string
string
object
string | null
string
string
string
string
Managed Agent API
RAG API
Connector API
Memory API
框架集成
  • 框架